SDL_AcquireGPUCommandBuffer(3)

NAME
SDL_AcquireGPUCommandBuffer - Acquire a command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUCommandBuffer * SDL_AcquireGPUCommandBuffer(
    SDL_GPUDevice *device);

DESCRIPTION
This command buffer is managed by the implementation and should not be freed by the user. The command buffer may only be used on the thread it was acquired on. The command buffer should be submitted on the thread it was acquired on.

It is valid to acquire multiple command buffers on the same thread at once. In fact a common design pattern is to acquire two command buffers per frame where one is dedicated to render and compute passes and the other is dedicated to copy passes and other preparatory work such as generating mipmaps. Interleaving commands between the two command buffers reduces the total amount of passes overall which improves rendering performance.

FUNCTION PARAMETERS

device
    a GPU context.

RETURN VALUE
( SDL_GPUCommandBuffer
 *) Returns a command buffer, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SubmitGPUCommandBuffer(3), •(3), SDL_SubmitGPUCommandBufferAndAcquireFence(3)